package unitTest;

import static org.junit.jupiter.api.Assertions.assertTrue;
import java.util.Iterator;
import java.util.Random;
import java.util.function.Function;
import java.util.stream.Stream;

import org.junit.jupiter.api.DynamicTest;
import org.junit.jupiter.api.TestFactory;
import org.junit.jupiter.api.function.ThrowingConsumer;

import project.Item;
import project.ItemPicture;

public class ItemPictureUnitTest {
	@TestFactory
	public Stream<DynamicTest> ItemPictureUnitTest() {

		ItemPicture a = ItemPicture.getInstance();
	
		
		
		Iterator<Integer> inputGenerator = new Iterator<Integer>() {

			int picId;
			Random random = new Random();

			@Override
			public boolean hasNext() {

				return random.nextInt(100) % 10 != 0;

			}

			@Override
			public Integer next() {

				picId = (int) (random.nextDouble() * 10);

				return picId;
			}

		};

		Function<Integer, String> displayNameGenerator = (input) -> "input: " + input;

		ThrowingConsumer<Integer> testExecutor = (input) -> assertTrue(a.remove(input));

		return DynamicTest.stream(inputGenerator, displayNameGenerator, testExecutor);
	}
}
